Subject: Re: bug#10224: 24.0.92; M-w inhibits echoing of prefix arguments

From: Stephen Berman <[email-masked]>
Date: Tue, 25 Aug 2020 20:02:44 +0200

On Tue, 25 Aug 2020 14:58:17 +0200 Lars Ingebrigtsen <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
>> 1. emacs -Q
>> 2. Type `C-u' => in the echo area you see "C-u-"
>> 3. Set the mark (e.g. by typing `C-SPC') and then type `M-w'.
>> 4. Type `C-u' => in the echo area you see nothing, for this and
>> subsequent prefix arguments.  `M-x' is, however, echoed.
>
> I tried reproducing this in Emacs 28, and I was unable to -- M-w doesn't
> stop C-u happening in the echo area.
>
> Are you still seeing this problem in recent Emacs versions?

No, I can't reproduce it in Emacs 27 or 28, so closing.  Thanks for
taking a look.

Steve Berman